Gemini embedding
curl --request POST \
--url https://api.tikway.ai/v1beta/models/google/gemini-embedding-2-preview:embedContent \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"content": {
"parts": [
{
"text": "<string>",
"inlineData": {},
"fileData": {},
"functionCall": {},
"functionResponse": {}
}
]
},
"model": "<string>",
"outputDimensionality": 2,
"taskType": "<string>",
"title": "<string>"
}
'import requests
url = "https://api.tikway.ai/v1beta/models/google/gemini-embedding-2-preview:embedContent"
payload = {
"content": { "parts": [
{
"text": "<string>",
"inlineData": {},
"fileData": {},
"functionCall": {},
"functionResponse": {}
}
] },
"model": "<string>",
"outputDimensionality": 2,
"taskType": "<string>",
"title": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
content: {
parts: [
{
text: '<string>',
inlineData: {},
fileData: {},
functionCall: {},
functionResponse: {}
}
]
},
model: '<string>',
outputDimensionality: 2,
taskType: '<string>',
title: '<string>'
})
};
fetch('https://api.tikway.ai/v1beta/models/google/gemini-embedding-2-preview:embedContent', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.tikway.ai/v1beta/models/google/gemini-embedding-2-preview:embedContent",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'content' => [
'parts' => [
[
'text' => '<string>',
'inlineData' => [
],
'fileData' => [
],
'functionCall' => [
],
'functionResponse' => [
]
]
]
],
'model' => '<string>',
'outputDimensionality' => 2,
'taskType' => '<string>',
'title' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.tikway.ai/v1beta/models/google/gemini-embedding-2-preview:embedContent"
payload := strings.NewReader("{\n \"content\": {\n \"parts\": [\n {\n \"text\": \"<string>\",\n \"inlineData\": {},\n \"fileData\": {},\n \"functionCall\": {},\n \"functionResponse\": {}\n }\n ]\n },\n \"model\": \"<string>\",\n \"outputDimensionality\": 2,\n \"taskType\": \"<string>\",\n \"title\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.tikway.ai/v1beta/models/google/gemini-embedding-2-preview:embedContent")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"content\": {\n \"parts\": [\n {\n \"text\": \"<string>\",\n \"inlineData\": {},\n \"fileData\": {},\n \"functionCall\": {},\n \"functionResponse\": {}\n }\n ]\n },\n \"model\": \"<string>\",\n \"outputDimensionality\": 2,\n \"taskType\": \"<string>\",\n \"title\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.tikway.ai/v1beta/models/google/gemini-embedding-2-preview:embedContent")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"content\": {\n \"parts\": [\n {\n \"text\": \"<string>\",\n \"inlineData\": {},\n \"fileData\": {},\n \"functionCall\": {},\n \"functionResponse\": {}\n }\n ]\n },\n \"model\": \"<string>\",\n \"outputDimensionality\": 2,\n \"taskType\": \"<string>\",\n \"title\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"embedding": {
"values": [
123
]
}
}Embeddings
Gemini embedding
Create one embedding with Gemini embedContent.
POST
https://api.tikway.ai
/
v1beta
/
models
/
google
/
gemini-embedding-2-preview:embedContent
Gemini embedding
curl --request POST \
--url https://api.tikway.ai/v1beta/models/google/gemini-embedding-2-preview:embedContent \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"content": {
"parts": [
{
"text": "<string>",
"inlineData": {},
"fileData": {},
"functionCall": {},
"functionResponse": {}
}
]
},
"model": "<string>",
"outputDimensionality": 2,
"taskType": "<string>",
"title": "<string>"
}
'import requests
url = "https://api.tikway.ai/v1beta/models/google/gemini-embedding-2-preview:embedContent"
payload = {
"content": { "parts": [
{
"text": "<string>",
"inlineData": {},
"fileData": {},
"functionCall": {},
"functionResponse": {}
}
] },
"model": "<string>",
"outputDimensionality": 2,
"taskType": "<string>",
"title": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
content: {
parts: [
{
text: '<string>',
inlineData: {},
fileData: {},
functionCall: {},
functionResponse: {}
}
]
},
model: '<string>',
outputDimensionality: 2,
taskType: '<string>',
title: '<string>'
})
};
fetch('https://api.tikway.ai/v1beta/models/google/gemini-embedding-2-preview:embedContent', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.tikway.ai/v1beta/models/google/gemini-embedding-2-preview:embedContent",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'content' => [
'parts' => [
[
'text' => '<string>',
'inlineData' => [
],
'fileData' => [
],
'functionCall' => [
],
'functionResponse' => [
]
]
]
],
'model' => '<string>',
'outputDimensionality' => 2,
'taskType' => '<string>',
'title' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.tikway.ai/v1beta/models/google/gemini-embedding-2-preview:embedContent"
payload := strings.NewReader("{\n \"content\": {\n \"parts\": [\n {\n \"text\": \"<string>\",\n \"inlineData\": {},\n \"fileData\": {},\n \"functionCall\": {},\n \"functionResponse\": {}\n }\n ]\n },\n \"model\": \"<string>\",\n \"outputDimensionality\": 2,\n \"taskType\": \"<string>\",\n \"title\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.tikway.ai/v1beta/models/google/gemini-embedding-2-preview:embedContent")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"content\": {\n \"parts\": [\n {\n \"text\": \"<string>\",\n \"inlineData\": {},\n \"fileData\": {},\n \"functionCall\": {},\n \"functionResponse\": {}\n }\n ]\n },\n \"model\": \"<string>\",\n \"outputDimensionality\": 2,\n \"taskType\": \"<string>\",\n \"title\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.tikway.ai/v1beta/models/google/gemini-embedding-2-preview:embedContent")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"content\": {\n \"parts\": [\n {\n \"text\": \"<string>\",\n \"inlineData\": {},\n \"fileData\": {},\n \"functionCall\": {},\n \"functionResponse\": {}\n }\n ]\n },\n \"model\": \"<string>\",\n \"outputDimensionality\": 2,\n \"taskType\": \"<string>\",\n \"title\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"embedding": {
"values": [
123
]
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Model ID.
Output embedding dimension.
Required range:
x >= 1Embedding task type.
Title for retrieval tasks.

